<?php
return array
(
    'name' => '渠道卡密表',
    'struct' => array
    (
        'channel_id' => array
        (
            'name'      => '渠道id',
            'type'      => 'int(11)',
        ),

        'seller_id' => array
        (
            'name'      => '分配商户',
            'type'      => 'int(11)',
            'default'   => '-1',
        ),

        'number' => array
        (
            'name'      => '卡号',
            'type'      => 'varchar(200)',
        ),

        'pwd' => array
        (
            'name'      => '密码',
            'type'      => 'varchar(200)',
        ),

        'goods' => array
        (
            'name'      => '商品分类+商品id',
            'type'      => 'varchar(100)',
        ),

        'goods_id' => array
        (
            'name'      => '商品id',
            'type'      => 'int(11)',
        ),

        'sku_id' => array
        (
            'name'      => 'SKUid',
            'type'      => 'int(11)',
        ),

        'order_id' => array
        (
            'name'      => '订单id',
            'type'      => 'int(11)',
        ),

        'end' => array
        (
            'name'      => '有效期',
            'type'      => 'varchar(200)',
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '可用',
                2 => '禁用',
            ),
        ),

        'use_status' => array
        (
            'name'      => '使用状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '未使用',
                2 => '已使用',
                3 => '已占用',
            ),
        ),
    ),
    'index' => array
    (
        'search' => 'channel_id,goods_id,sku_id',
        'order_id' => 'order_id',
        'seller_id' => 'seller_id',
    ),
);