<?php
$extend = Dever::load('common', 'manage')->extend();
$seller_id = $extend['data_id'];
$seller = Dever::db('info', 'seller')->find($seller_id);
return array
(
    'source' => 'seller/order_push',
    'update' => array
    (
        'start' => 'seller/manage.createOrder',
        'field'    => array
        (
            'seller_id' => array
            (
                'type' => 'hidden',
                'default' => $seller_id,
                'option' => array
                (
                    $seller,
                ),
                'remote' => 'seller/manage.getGoods',
            ),
            'goods' => array
            (
                'name' => '商品',
                'type' => 'cascader',
                # 仅显示最后一级
                //'all' => false,
                //'option'    => 'Dever::call("goods/manage.getGoods")',
                'remote' => 'seller/manage.getSku',
                # 无需默认值
                'remote_default' => false,
                'rules' => true,
            ),
            'goods_id' => array
            (
                'name' => '商品',
                'type' => 'hidden',
                'rules' => true,
            ),
            'sku_id' => array
            (
                'name' => '规格',
                'type' => 'select',
                'rules' => true,
            ),
            'data' => array
            (
                'type' => 'textarea',
                'rows' => 5,
                'placeholder' => '直接输入要充值的账号，如手机号、卡号等，多个用换行隔开，卡密这里填写数量即可',
                'rules' => true,
            ),
        ),
    ),
);